### Method

# Clutter LayoutManager child_get

#### Declaration [src]

    void
    clutter_layout_manager_child_get (
      ClutterLayoutManager* manager,
      ClutterActor* container,
      ClutterActor* actor,
      const gchar* first_property,
      ...
    )

#### Description [src]

Retrieves the values for a list of properties out of the `ClutterLayoutMeta` created by `manager` and attached to the child of a `container`.

This method is not directly available to language bindings.

#### Parameters

`container`

  Type: `ClutterActor`

  A `ClutterActor` using `manager`.

  The data is owned by the caller of the method.

`actor`

  Type: `ClutterActor`

  A `ClutterActor` child of `container`.

  The data is owned by the caller of the method.

`first_property`

  Type: `const gchar*`

  The name of the first property.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`...`

  Type: ``

  A list of property name and return location for the value pairs.